<?php
session_start();
$content=file("../../sg_cm/conf/conf/conf.php");
if (session_id()!=$content[2])
 {
  $url=urlencode("Пройдите_авторизацию!");
  echo "<meta http-equiv=refresh content='0; url=../../sg_cm/admin/index.php?acc=$url'>";
  exit();
 }

 if(!isset($_GET['id']) || !isset($_GET['op']))
   {
   	 echo "<meta http-equiv=refresh content='0; url=admin3.php?sel3=selected'>";
     exit();
   }

 if(!file_exists("cons/cons/$_GET[id]"))
   {
   	 echo "<meta http-equiv=refresh content='0; url=admin3.php?sel3=selected'>";
     exit();
   }

 if($_GET['op']==1)
   {
     $blok=array();
     $blok=file("conf/blok.txt");
     for($i=0; $i<count($blok); $i++) $blok[$i]=trim($blok[$i]);
     if((in_array($_GET['id'],$blok)))
       {
       	 $f=fopen("conf/blok.txt","w");
         foreach($blok as $line)
          {
            if($line==$_GET['id'])continue;
            fwrite($f,$line."\r\n");
          }
         fclose($f);
       }
      else
       {
          $f=fopen("conf/blok.txt","a+");
          fwrite($f,$_GET['id']."\r\n");
          fclose($f);
       }


   }

if($_GET['op']==2)
 {

  $mes=array();
  $d=opendir("cons/db/$_GET[id]");
   while(($e=readdir($d))!=false)
     {
       if($e =="." || $e ==".." || $e==".htaccess" ) continue;
       $mes[]=$e;
     }
  closedir($d);

  //Если сообщения есть-выкидываем
  if(count($mes))
    {
      echo "<meta http-equiv=refresh content='0; url=admin3.php?sel3=selected&err=1'>";
      exit();
    }

  $cons=array();
  $cons=file("conf/cons.txt");
  //из админского списка
  $f=fopen("conf/cons.txt","w");
  foreach($cons as $line)
  {
    $expl=explode("*",$line);
    if($expl[0]==$_GET['id'])continue;
    fwrite($f,$line);
  }
  fclose($f);
  //доступ
  unlink("cons/ac/$_GET[id]");
  //профиль
  unlink("cons/cons/$_GET[id]");
  //чистим папку
  $d=opendir("cons/db/$_GET[id]");
   while(($e=readdir($d))!=false)
     {
       if($e =="." || $e ==".." ) continue;
       unlink("cons/db/$_GET[id]/$e");
     }
  closedir($d);
  //каталог
  rmdir("cons/db/$_GET[id]");

  //Фото, если есть
  $foto=array();
  $d=opendir("cons/foto");
   while(($e=readdir($d))!=false)
     {
       if($e =="." || $e ==".." || $e==".htaccess" ) continue;
       $foto[]=$e;
     }
  closedir($d);

  foreach($foto as $line)
   {
 	 $expl=explode(".",$line);
 	 if($expl[0]==$_GET['id'])
 	    {
 	      unlink("cons/foto/$line");
 	      break;
 	    }
   }


   //блок
  $blok=array();
  $blok=file("conf/blok.txt");

  $f=fopen("conf/blok.txt","w");
  foreach($blok as $line)
  {
    $line=trim($line);
    if($line==$_GET['id'])continue;
    fwrite($f,$line."\r\n");
  }
  fclose($f);



 }



 echo "<meta http-equiv=refresh content='0; url=admin3.php?sel3=selected'>";
 exit();



?>